## ev-backends-manager

ev-backends-manager

## Synopsis

                        EvTypeInfo;
    EvDocument *        ev_backends_manager_get_document    (const gchar *mime_type);
    const gchar *       ev_backends_manager_get_document_module_name
                                                            (EvDocument *document);
    EvTypeInfo *        ev_backends_manager_get_document_type_info
                                                            (EvDocument *document);
    GList *             ev_backends_manager_get_all_types_info
                                                            (void);

## Description

## Details

### EvTypeInfo

    typedef struct {
    	const gchar  *desc;
    	const gchar **mime_types;
    } EvTypeInfo;

### ev_backends_manager_get_document ()

    EvDocument *        ev_backends_manager_get_document    (const gchar *mime_type);

`mime_type` : |
Returns : |

### ev_backends_manager_get_document_module_name ()

    const gchar *       ev_backends_manager_get_document_module_name
                                                            (EvDocument *document);

`document` : |
Returns : |

### ev_backends_manager_get_document_type_info ()

    EvTypeInfo *        ev_backends_manager_get_document_type_info
                                                            (EvDocument *document);

`document` : |
Returns : |

### ev_backends_manager_get_all_types_info ()

    GList *             ev_backends_manager_get_all_types_info
                                                            (void);

Returns : |